Summary: A next-generation printing system for UNIX
Name: LPRng
Version: 3.2.4
Release: 1
Copyright: GPL
Group: Utilities/System
Source: ftp://dickory.sdsu.edu/pub/LPRng/LPRng-3.2.4.tgz
Source1: lpd.init
Patch: LPRng-3.2.4-fsstnd.patch
BuildRoot: /tmp/lprng-root
%description
LPRng is the "next generation" printing system for UNIX, featuring
enhanced reliability and security.

%package lpd
Summary: Server for LPRng printing
Requires: LPRng = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Group: Daemons
%description lpd
This package includes the server portion of the LPRng printing system.

%prep
%setup
%patch -p1
cp /usr/share/gettext/po-Makefile.in.in po/Makefile.in.in

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT/etc/rc.d/init.d
make prefix=$RPM_BUILD_ROOT/usr install
install -m755 $RPM_SOURCE_DIR/lpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d
for I in 0 1 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/lpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K40lpd
done
for I in 2 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/lpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S60lpd
done
install -m644 lpd.conf lpd.perms $RPM_BUILD_ROOT/etc
touch $RPM_BUILD_ROOT/etc/printcap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/printcap
%config /etc/lpd.conf
%config /etc/lpd.perms
%doc ABOUT-NLS.LPRng
%doc ANNOUNCE
%doc Artistic.license
%doc CHANGES
%doc CONTRIBUTORS
%doc COPYING
%doc Commercial.license
%doc DOC
%doc INFORMATION
%doc INSTALL
%doc LICENSE
%doc README
%doc README.1st
%doc README.LPRng_to_lpr_spooling
%doc README.accounting
%doc README.authentication
%doc README.banner
%doc README.bouncequeues
%doc README.cannot_open_connection_to
%doc README.deskjet
%doc README.install
%doc README.kerberos_authentication
%doc README.logger
%doc README.lp_Malformed_from_address
%doc README.lp_emulation
%doc README.lpd.conf
%doc README.lpd.perms
%doc README.nis
%doc README.pgp_authentication
%doc README.ports
%doc README.printcap
%doc README.routing
%doc README.solaris
%doc README.solaris.newsprint
%doc README.statusdisplays
%doc TESTSUPPORT
%doc UTILS
%doc VERSION
/usr/bin/lpq
/usr/bin/lprm
/usr/bin/lpr
/usr/bin/lp
/usr/bin/lpstat
/usr/bin/cancel
/usr/sbin/lpc
/usr/man/man5/lpd.conf.5
/usr/man/man5/lpd.perms.5
/usr/man/man5/printcap.5
/usr/share/locale/fr/LC_MESSAGES/LPRng.mo
/usr/man/man1/lpc.1
/usr/sbin/lpf
/usr/sbin/lpbanner
/usr/man/man1/cancel.1
/usr/man/man1/lp.1
/usr/man/man1/lpbanner.1
/usr/man/man1/lpf.1
/usr/man/man1/lpq.1
/usr/man/man1/lpr.1
/usr/man/man1/lprm.1
/usr/man/man1/lpstat.1
/usr/man/man1/monitor.1

%files lpd
%config /etc/rc.d/init.d/lpd.init
/etc/rc.d/rc0.d/K40lpd
/etc/rc.d/rc1.d/K40lpd
/etc/rc.d/rc2.d/S60lpd
/etc/rc.d/rc3.d/S60lpd
/etc/rc.d/rc5.d/S60lpd
/etc/rc.d/rc6.d/K40lpd
# This package requires the main package, so we don't include these.
#%config /etc/printcap
#%config /etc/lpd.conf
#%config /etc/lpd.perms
/usr/sbin/lpd
/usr/sbin/lpraccnt
/usr/sbin/readfilecount
/usr/man/man1/readfilecount.1
/usr/sbin/removeoneline
/usr/sbin/authenticate_pgp
/usr/sbin/setupauth
/usr/man/man1/authenticate_pgp.1
/usr/man/man8/checkpc.8
/usr/man/man8/lpd.8
/usr/man/man1/lpraccnt.1
/usr/sbin/checkpc
